<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Utils\WssField;

class WssFieldTeilnehmerVorname extends WssFieldTeilnehmerTnInfoLinkHinzufuegen
{
  public function isMandatory(): bool
  {
    
    if (\DBWorkBASysSettings::isBlak()) {
      $teilnehmer = \SessionOperations::getCurrentWebToolsTeilnehmer();
      if ($teilnehmer->geschlecht == 'F') {
        return false;
      }
    }

    return parent::isMandatory();
  }
}